bitmap_parselist
Prev | Bitmap Operations | Next

## Name

bitmap_parselist — convert list format ASCII string to bitmap

## Synopsis

`int bitmap_parselist (` | const char * | bp,
| unsigned long * | maskp,
| int | nmaskbits`)`;

## Arguments

`bp`

  read nul-terminated user string from this buffer

`maskp`

  write resulting mask here

`nmaskbits`

  number of bits in mask to be written

## Description

Input format is a comma-separated list of decimal numbers and ranges. Consecutively set bits are shown as two hyphen-separated decimal numbers, the smallest and largest bit numbers set in the range.

Returns 0 on success, -errno on invalid input strings.

## Error values

`-EINVAL`: second number in range smaller than first `-EINVAL`: invalid character in string `-ERANGE`: bit number specified too large for mask

Prev | Up | Next
bitmap_scnlistprintf | Home | bitmap_remap